Create analysis clusters
curl --request POST \
--url https://api.shareofmodel.ai/v1/organizations/{organization_id}/workspaces/{workspace_id}/analyses/{id}/create_clusters \
--header 'Authorization: <api-key>'import requests
url = "https://api.shareofmodel.ai/v1/organizations/{organization_id}/workspaces/{workspace_id}/analyses/{id}/create_clusters"
headers = {"Authorization": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: '<api-key>'}};
fetch('https://api.shareofmodel.ai/v1/organizations/{organization_id}/workspaces/{workspace_id}/analyses/{id}/create_clusters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Analyses
Create analysis clusters
Run clustering process for a given analysis. Required permission: write:analysis.
POST
/
v1
/
organizations
/
{organization_id}
/
workspaces
/
{workspace_id}
/
analyses
/
{id}
/
create_clusters
Create analysis clusters
Authorizations
Path Parameters
A UUID string identifying this analysis.
A UUID string identifying the organization.
A UUID string identifying the workspace.
Query Parameters
A string representing the group of clusters to create.
Available options:
all_cons, all_pros A number between 5 and 8, both included, representing the number of clusters to create.
Required range:
5 <= x <= 8Response
200
Pros and cons clustering creation successfully launched.
Was this page helpful?
⌘I